Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 71182
Status: resolved
Priority: 0/
Queue: Net-SSLeay

People
Owner: Nobody in particular
Requestors: NEILB [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.40
Fixed in: (no value)



Subject: Detect multiple OpenSSL installations
Download (untitled) / with headers
text/plain 377b
It would be very helpful if Makefile.PL could detect that there are multiple OpenSSL installations and prompt for which one to use. I have to install this module manually on various machines, because I have the OS-provided old version of OpenSSL and the latest version which I've installed in /usr/local. Crypt::SSLeay has code in its Makefile.PL that you could re-use :-)
Download (untitled) / with headers
text/plain 156b
Hi, Dont forget you can use OPENSSL_PREFIX environment variable to specify which openssl to use: OPENSSL_PREFIX=/usr/local/ssl perl Makefile.PL Cheers.
Download (untitled) / with headers
text/plain 344b
Show quoted text
> Dont forget you can use OPENSSL_PREFIX environment variable to specify > which openssl to use: > > OPENSSL_PREFIX=/usr/local/ssl perl Makefile.PL
Yeah, that's what I did once I'd realised what went wrong :-) I install modules using the cpan shell, so unless I know/remember to set this before starting the shell, then I'm stuck. Thanks


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.